Bug 1276034 - [abrt] WARNING: CPU: 2 PID: 2014 at drivers/gpu/drm/i915/intel_display.c:476 intel_pipe_will_have_type.isra.41+0x6e/0x80 [i915]() [i915]
[abrt] WARNING: CPU: 2 PID: 2014 at drivers/gpu/drm/i915/intel_display.c:476 ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4c409bdb455a0df569e281a2483...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 09:15 EDT by Môshe van der Sterre
Modified: 2016-07-19 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:21:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (88.71 KB, text/plain)
2015-10-28 09:15 EDT, Môshe van der Sterre
no flags Details

  None (edit)
Description Môshe van der Sterre 2015-10-28 09:15:10 EDT
Description of problem:
I have no idea how this WARN_ON happened. I have an MST Hub connected to the mini-DP port on my XPS 13. One display was connected, but perhaps it was in the wrong input mode.

Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 2 PID: 2014 at drivers/gpu/drm/i915/intel_display.c:476 intel_pipe_will_have_type.isra.41+0x6e/0x80 [i915]()
WARN_ON(num_connectors == 0)
Modules linked in:
 rfcomm fuse ccm cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iTCO_wdt iTCO_vendor_support dell_led dell_wmi snd_hda_codec_realtek sparse_keymap iwlmvm snd_hda_codec_generic intel_rapl snd_hda_codec_hdmi snd_soc_rt286 mac80211 snd_soc_rl6347a x86_pkg_temp_thermal coretemp snd_soc_core vfat snd_hda_intel fat kvm_intel snd_hda_codec kvm btusb dell_laptop
 btrtl btbcm btintel snd_hda_core dcdbas bluetooth snd_compress iwlwifi snd_pcm_dmaengine snd_hwdep ac97_bus snd_seq snd_seq_device cfg80211 snd_pcm uvcvideo videobuf2_vmalloc videobuf2_core rtsx_pci_ms videobuf2_memops v4l2_common videodev memstick media mei_me i2c_i801 shpchp lpc_ich snd_timer rfkill mei snd soundcore acpi_als wmi kfifo_buf processor_thermal_device dw_dmac tpm_crb soc_button_array dw_dmac_core int3402_thermal intel_soc_dts_iosf snd_soc_sst_acpi i2c_designware_platform int3403_thermal acpi_pad industrialio tpm i2c_designware_core int3400_thermal int340x_thermal_zone iosf_mbi acpi_thermal_rel nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt hid_multitouch i915 i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper drm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel
 serio_raw sdhci_acpi sdhci rtsx_pci mmc_core video i2c_hid
CPU: 2 PID: 2014 Comm: Xorg Not tainted 4.2.3-200.fc22.x86_64 #1
Hardware name: Dell Inc. XPS 13 9343/09K8G1, BIOS A05 07/14/2015
 0000000000000000 000000005f21500e ffff8800d3593af8 ffffffff8177220a
 0000000000000000 ffff8800d3593b50 ffff8800d3593b38 ffffffff8109e4a6
 0000000000000000 ffff8802152c2000 ffff88020b9bed80 ffff8802132cc000
Call Trace:
 [<ffffffff8177220a>] dump_stack+0x45/0x57
 [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e535>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa0185e3e>] intel_pipe_will_have_type.isra.41+0x6e/0x80 [i915]
 [<ffffffffa01945ec>] intel_modeset_compute_config+0x44c/0xb60 [i915]
 [<ffffffffa0199ebf>] intel_crtc_set_config+0x28f/0x580 [i915]
 [<ffffffffa00b2720>] ? drm_modeset_lock_all_crtcs+0x90/0xa0 [drm]
 [<ffffffffa00a3326>] drm_mode_set_config_internal+0x66/0x100 [drm]
 [<ffffffffa00a7809>] drm_mode_setcrtc+0x3e9/0x500 [drm]
 [<ffffffffa0098365>] drm_ioctl+0x125/0x610 [drm]
 [<ffffffffa00a7420>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
 [<ffffffff812312b5>] do_vfs_ioctl+0x295/0x470
 [<ffffffff8132930d>] ? selinux_file_ioctl+0x4d/0xc0
 [<ffffffff81231509>] SyS_ioctl+0x79/0x90
 [<ffffffff810656df>] ? do_page_fault+0x2f/0x80
 [<ffffffff81778bee>] entry_SYSCALL_64_fastpath+0x12/0x71

Potential duplicate: bug 1266820
Comment 1 Môshe van der Sterre 2015-10-28 09:15:19 EDT
Created attachment 1087250 [details]
File: dmesg
Comment 2 Fedora End Of Life 2016-07-19 14:21:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.